// ===================================================================
// ====   BALM10beep    générateur UHF , balise  pour manips      ====
// ====   ballon sonde météo M10, pll ADF7012B,GPS Sierra, Nano   ==== 
// ====   version 1.0                   F5BEZ Dominique LEVEQUE   ====
// ===================================================================

#ifndef BALgestionbeep_h
#define BALgestionbeep_h

// commun aux modules  
#if defined(ARDUINO) && ARDUINO >= 100
 #include "Arduino.h"
#else 
 #include "WProgram.h"
#endif

#include "BALbfonctions.h"
#include "BALbadf7012.h"

void balmoduleM10(byte seccycle);
void baladfinstall(void);

void balsynchro1pps(void);

void sendbeepbalise(unsigned long lafreq,int lanote,int unsigned laduree);
void balgenenotebf(int unsigned fndeperiodesnote, int  fdemiperiodenote);
//void balsendddsfreqtest(byte source,byte qrgtest); 
//void sendTxtestBdes(byte qrgtest); 
//void sendTxtestKey(void); 
//extern void balsetpwrrelais(byte codepower);
extern bool balbtsortirloop(void);
extern void balsettxon(void);
extern void balsettxoff(void);
void baltestlevelhfout(void);
extern void balenvoieindicatif(void);


extern long factor;
extern byte Indexcanaux;
//extern byte indexpower;
extern byte Parbalise[]; 
extern bool Flagpasseaff; 

extern bool Lestatut;   
extern char MyCall[];     

extern int  Mycorrectqrg;
extern int  Mydureebeep;
extern int  Mynotebeep;
extern int  Myindicemod;
extern int  Myindicepwr;
extern unsigned long Mybaseqrg;

//extern volatile byte Flagpulse1pps;


extern long Freqshiftadf;


#endif


// Dominique LEVEQUE F5BEZ 
// =====================================================================
