// ===================================================================
// ====   BALM10beep    générateur UHF , balise  pour manips      ====
// ====   ballon sonde météo M10, pll ADF7012B,GPS Sierra, Nano   ==== 
// ====   version 1.0                   F5BEZ Dominique LEVEQUE   ====
// ===================================================================
//
// version soft clock  Time    ( sans ds3232   )

#include "BALM10beep.h"
#include "BALbsoftclock.h"

//tmElements_t tm;       // structure vers tm normalisée   
time_t letime;
bool Flagstartclock = FAUX;
//----------------------------------------------------
byte  ballireclock(void)
{
   letime  = now(); // <<<<<<<<<<<<<<<<<<<<
   return(second());
}

//----------------------------------------------------
// protocole synchro  N°1    
byte baltestcycleseconde(void)
{
  byte seqscd = Parbalise[P_BEEPSECONDE];
  if (Parbalise[P_BEEPSECONDE] == 0 ) return(FAUX);  //return(VRAI); // test
  if (seqscd == 6)  seqscd = (byte)random(1,seqscd); // ret aléa entre 1 et 5
  if (( second() % seqscd) == 0)  return(VRAI);  else   return(FAUX);
} 
   
//----------------------------------------------------
// preset setup
void balpresettime(void)
{
  //setTime(Hour, Minute, Second, Day, Month, Year);
  setTime(12,0,0,1,1,20);
  Flagstartclock = FAUX;
}

//----------------------------------------------------
byte balaffcycleqtr(void)
{
 sprintf(Buff,"\r\nH %02d:%02d:%02d ",hour(),minute(),second());
 balprintbuff(Buff,NOVAL); //no lf balprinttexteln(Buff);
 if (( minute() == 3) && (Flagstartclock == FAUX )) {balsynchrogpsclock(OUI);  Flagstartclock = VRAI; }  
 return(hour());
}

//----------------------------------------------------
void balaffcycledate(void)
{
 sprintf(Buff,"D %02d/%02d/%02d ",day(),month(),year());
 balprintbuff(Buff,NOVAL); //no lf balprinttexteln(Buff);
}
// Dominique LEVEQUE F5BEZ 
// ==============================================================================================================
